# Configuration options

These options can be set as environment variables, to customize how your cluster is created.

These options apply across providers.  There are additional documents for options specific to providers:

* [AWS](aws/options.md)

This is a work-in-progress; not all options are documented yet!

**NUM_NODES**

The number of node instances to create.  Most providers default this to 4.

[![Analytics](https://kubernetes-site.appspot.com/UA-36037335-10/GitHub/cluster/options.md?pixel)]()
